kcapi_aead_inbuflen_enc
Prev | AEAD Cipher API - Generic | Next

## Name

kcapi_aead_inbuflen_enc — return minimum encryption input buffer length

## Synopsis

`size_t kcapi_aead_inbuflen_enc (` | struct kcapi_handle * handle,
| size_t inlen,
| size_t assoclen,
| size_t taglen`)`;

## Arguments

`handle`

  [in] cipher handle

`inlen`

  [in] size of plaintext

`assoclen`

  [in] size of associated data (AD)

`taglen`

  [in] size of authentication tag

## Description

`return` minimum size of input data length in bytes

Prev | Up | Next
kcapi_aead_authsize | Home | kcapi_aead_inbuflen_dec